# Development compose file
services:
  postgres:
    image: docker.io/postgres:16.4
    environment:
      POSTGRES_PASSWORD: linstrom
      POSTGRES_USER: linstrom
      POSTGRES_DB: linstrom
    healthcheck:
      test: ["CMD-SHELL", "pg_isready"]
      interval: 1s
      timeout: 5s
      retries: 10
    ports:
      - 5432:5432
  s3:
    image: dxflrs/garage:v1.0.1
    volumes:
      - ./garageData:/data
      - ./garageMetadata:/meta
      - ./garage.toml:/etc/garage.toml
    ports:
      - 3900:3900
      - 3901:3901
      - 3902:3902
      - 3903:3903
      - 3904:3904
